## vicar 0.3-1

=== Makefile ===
#############################################################################
# Makefile for building: vicar
# Generated by qmake (2.01a) (Qt 4.6.2) on: Sun May 16 18:18:36 2010
# Project:  vicar.pro
# Template: subdirs
# Command: /home/sudheer/qtsdk-2010.02/qt/bin/qmake -spec /home/sudheer/qtsdk-2010.02/qt/mkspecs/linux-g++-64 -unix CONFIG+=debug -o Makefile vicar.pro
#############################################################################

first: make_default
MAKEFILE      = Makefile
QMAKE         = /home/sudheer/qtsdk-2010.02/qt/bin/qmake
DEL_FILE      = rm -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p
COPY          = cp -f
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
INSTALL_FILE  = install -m 644 -p
INSTALL_PROGRAM = install -m 755 -p
INSTALL_DIR   = $(COPY_DIR)
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p
SUBTARGETS    =  \
		sub-src

src/$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) src/ || $(MKDIR) src/ 
	cd src/ && $(QMAKE) /scratchbox/users/sudheer/home/sudheer/vicar-0.2/src/src.pro -spec /home/sudheer/qtsdk-2010.02/qt/mkspecs/linux-g++-64 -unix CONFIG+=debug -o $(MAKEFILE)
sub-src-qmake_all:  FORCE
	@$(CHK_DIR_EXISTS) src/ || $(MKDIR) src/ 
	cd src/ && $(QMAKE) /scratchbox/users/sudheer/home/sudheer/vicar-0.2/src/src.pro -spec /home/sudheer/qtsdk-2010.02/qt/mkspecs/linux-g++-64 -unix CONFIG+=debug -o $(MAKEFILE)
sub-src: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE)
sub-src-make_default: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) 
sub-src-make_first: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) first
sub-src-all: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) all
sub-src-clean: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) clean
sub-src-distclean: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) distclean
sub-src-install_subtargets: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) install
sub-src-uninstall_subtargets: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) uninstall

Makefile: vicar.pro  /home/sudheer/qtsdk-2010.02/qt/mkspecs/linux-g++-64/qmake.conf /home/sudheer/qtsdk-2010.02/qt/mkspecs/common/g++.conf \
		/home/sudheer/qtsdk-2010.02/qt/mkspecs/common/unix.conf \
		/home/sudheer/qtsdk-2010.02/qt/mkspecs/common/linux.conf \
		/home/sudheer/qtsdk-2010.02/qt/mkspecs/qconfig.pri \
		/home/sudheer/qtsdk-2010.02/qt/mkspecs/features/qt_functions.prf \
		/home/sudheer/qtsdk-2010.02/qt/mkspecs/features/qt_config.prf \
		/home/sudheer/qtsdk-2010.02/qt/mkspecs/features/exclusive_builds.prf \
		/home/sudheer/qtsdk-2010.02/qt/mkspecs/features/default_pre.prf \
		/home/sudheer/qtsdk-2010.02/qt/mkspecs/features/debug.prf \
		/home/sudheer/qtsdk-2010.02/qt/mkspecs/features/default_post.prf \
		/home/sudheer/qtsdk-2010.02/qt/mkspecs/features/warn_on.prf \
		/home/sudheer/qtsdk-2010.02/qt/mkspecs/features/qt.prf \
		/home/sudheer/qtsdk-2010.02/qt/mkspecs/features/unix/thread.prf \
		/home/sudheer/qtsdk-2010.02/qt/mkspecs/features/moc.prf \
		/home/sudheer/qtsdk-2010.02/qt/mkspecs/features/resources.prf \
		/home/sudheer/qtsdk-2010.02/qt/mkspecs/features/uic.prf \
		/home/sudheer/qtsdk-2010.02/qt/mkspecs/features/yacc.prf \
		/home/sudheer/qtsdk-2010.02/qt/mkspecs/features/lex.prf \
		/home/sudheer/qtsdk-2010.02/qt/mkspecs/features/include_source_dir.prf
	$(QMAKE) -spec /home/sudheer/qtsdk-2010.02/qt/mkspecs/linux-g++-64 -unix CONFIG+=debug -o Makefile vicar.pro
/home/sudheer/qtsdk-2010.02/qt/mkspecs/common/g++.conf:
/home/sudheer/qtsdk-2010.02/qt/mkspecs/common/unix.conf:
/home/sudheer/qtsdk-2010.02/qt/mkspecs/common/linux.conf:
/home/sudheer/qtsdk-2010.02/qt/mkspecs/qconfig.pri:
/home/sudheer/qtsdk-2010.02/qt/mkspecs/features/qt_functions.prf:
/home/sudheer/qtsdk-2010.02/qt/mkspecs/features/qt_config.prf:
/home/sudheer/qtsdk-2010.02/qt/mkspecs/features/exclusive_builds.prf:
/home/sudheer/qtsdk-2010.02/qt/mkspecs/features/default_pre.prf:
/home/sudheer/qtsdk-2010.02/qt/mkspecs/features/debug.prf:
/home/sudheer/qtsdk-2010.02/qt/mkspecs/features/default_post.prf:
/home/sudheer/qtsdk-2010.02/qt/mkspecs/features/warn_on.prf:
/home/sudheer/qtsdk-2010.02/qt/mkspecs/features/qt.prf:
/home/sudheer/qtsdk-2010.02/qt/mkspecs/features/unix/thread.prf:
/home/sudheer/qtsdk-2010.02/qt/mkspecs/features/moc.prf:
/home/sudheer/qtsdk-2010.02/qt/mkspecs/features/resources.prf:
/home/sudheer/qtsdk-2010.02/qt/mkspecs/features/uic.prf:
/home/sudheer/qtsdk-2010.02/qt/mkspecs/features/yacc.prf:
/home/sudheer/qtsdk-2010.02/qt/mkspecs/features/lex.prf:
/home/sudheer/qtsdk-2010.02/qt/mkspecs/features/include_source_dir.prf:
qmake: qmake_all FORCE
	@$(QMAKE) -spec /home/sudheer/qtsdk-2010.02/qt/mkspecs/linux-g++-64 -unix CONFIG+=debug -o Makefile vicar.pro

qmake_all: sub-src-qmake_all FORCE

make_default: sub-src-make_default FORCE
make_first: sub-src-make_first FORCE
all: sub-src-all FORCE
clean: sub-src-clean FORCE
distclean: sub-src-distclean FORCE
	-$(DEL_FILE) Makefile
install_subtargets: sub-src-install_subtargets FORCE
uninstall_subtargets: sub-src-uninstall_subtargets FORCE

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all
install: install_subtargets  FORCE

uninstall:  uninstall_subtargets FORCE

FORCE:

=== src/vicar-config/Makefile ===
#############################################################################
# Makefile for building: vicar-config
# Generated by qmake (2.01a) (Qt 4.6.2) on: Sat Jul 10 00:38:31 2010
# Project:  vicar-config.pro
# Template: app
# Command: /usr/bin/qmake -unix -o Makefile vicar-config.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_GL_NO_SCISSOR_TEST -DQT_DEFAULT_TEXTURE_GLYPH_CACHE_WIDTH=1024 -DQT_DBUS_LIB -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -g -D_REENTRANT -Wall -W $(DEFINES)
CXXFLAGS      = -pipe -g -D_REENTRANT -Wall -W $(DEFINES)
INCPATH       = -I/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/linux-g++-maemo5 -I. -I/targets/FREMANTLE_ARMEL/usr/include/QtCore -I/targets/FREMANTLE_ARMEL/usr/include/QtGui -I/targets/FREMANTLE_ARMEL/usr/include/QtDBus -I/targets/FREMANTLE_ARMEL/usr/include -I. -I/targets/FREMANTLE_ARMEL/usr/include/gconf/2 -I/targets/FREMANTLE_ARMEL/usr/include/glib-2.0 -I/targets/FREMANTLE_ARMEL/usr/lib/glib-2.0/include -I../vicar-lib/src -Imocs -Iuis
LINK          = g++
LFLAGS        = -Wl,-rpath-link,/usr/lib -Wl,-rpath,/usr/lib
LIBS          = $(SUBLIBS)  -L/usr/lib /usr/lib/libgconf-2.so ../lib/libvicar.a -lQtDBus -L/usr/lib -lQtXml -lQtGui -L/usr/X11R6/lib -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = objs/

####### Files

SOURCES       = src/main.cpp \
		src/configwindow.cpp mocs/moc_configwindow.cpp
OBJECTS       = objs/main.o \
		objs/configwindow.o \
		objs/moc_configwindow.o
DIST          = /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/debug.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/dbusinterfaces.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/dbusadaptors.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf \
		vicar-config.pro
QMAKE_TARGET  = vicar-config
DESTDIR       = 
TARGET        = vicar-config

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET): uis/ui_configwindow.h $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: vicar-config.pro  /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/linux-g++-maemo5/qmake.conf /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/debug.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/dbusinterfaces.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/dbusadaptors.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf \
		/usr/lib/libQtDBus.prl \
		/usr/lib/libQtXml.prl \
		/usr/lib/libQtCore.prl \
		/usr/lib/libQtGui.prl
	$(QMAKE) -unix -o Makefile vicar-config.pro
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/debug.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/dbusinterfaces.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/dbusadaptors.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf:
/usr/lib/libQtDBus.prl:
/usr/lib/libQtXml.prl:
/usr/lib/libQtCore.prl:
/usr/lib/libQtGui.prl:
qmake:  FORCE
	@$(QMAKE) -unix -o Makefile vicar-config.pro

dist: 
	@$(CHK_DIR_EXISTS) objs/vicar-config1.0.0 || $(MKDIR) objs/vicar-config1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) objs/vicar-config1.0.0/ && $(COPY_FILE) --parents src/configwindow.h objs/vicar-config1.0.0/ && $(COPY_FILE) --parents src/main.cpp src/configwindow.cpp objs/vicar-config1.0.0/ && $(COPY_FILE) --parents uis/configwindow.ui objs/vicar-config1.0.0/ && (cd `dirname objs/vicar-config1.0.0` && $(TAR) vicar-config1.0.0.tar vicar-config1.0.0 && $(COMPRESS) vicar-config1.0.0.tar) && $(MOVE) `dirname objs/vicar-config1.0.0`/vicar-config1.0.0.tar.gz . && $(DEL_FILE) -r objs/vicar-config1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: mocs/moc_configwindow.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) mocs/moc_configwindow.cpp
mocs/moc_configwindow.cpp: src/configwindow.h
	/usr/bin/moc $(DEFINES) $(INCPATH) src/configwindow.h -o mocs/moc_configwindow.cpp

compiler_dbus_interface_source_make_all:
compiler_dbus_interface_source_clean:
compiler_dbus_adaptor_source_make_all:
compiler_dbus_adaptor_source_clean:
compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_dbus_interface_header_make_all:
compiler_dbus_interface_header_clean:
compiler_dbus_interface_moc_make_all:
compiler_dbus_interface_moc_clean:
compiler_dbus_adaptor_header_make_all:
compiler_dbus_adaptor_header_clean:
compiler_dbus_adaptor_moc_make_all:
compiler_dbus_adaptor_moc_clean:
compiler_uic_make_all: uis/ui_configwindow.h
compiler_uic_clean:
	-$(DEL_FILE) uis/ui_configwindow.h
uis/ui_configwindow.h: uis/configwindow.ui
	/usr/bin/uic uis/configwindow.ui -o uis/ui_configwindow.h

compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_moc_header_clean compiler_uic_clean 

####### Compile

objs/main.o: src/main.cpp src/configwindow.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o objs/main.o src/main.cpp

objs/configwindow.o: src/configwindow.cpp src/configwindow.h \
		uis/ui_configwindow.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o objs/configwindow.o src/configwindow.cpp

objs/moc_configwindow.o: mocs/moc_configwindow.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o objs/moc_configwindow.o mocs/moc_configwindow.cpp

####### Install

install_target: first FORCE
	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/../../debian/vicar/opt/vicar/ || $(MKDIR) $(INSTALL_ROOT)/../../debian/vicar/opt/vicar/ 
	-$(INSTALL_PROGRAM) "$(QMAKE_TARGET)" "$(INSTALL_ROOT)/../../debian/vicar/opt/vicar/$(QMAKE_TARGET)"

uninstall_target:  FORCE
	-$(DEL_FILE) "$(INSTALL_ROOT)/../../debian/vicar/opt/vicar/$(QMAKE_TARGET)"
	-$(DEL_DIR) $(INSTALL_ROOT)/../../debian/vicar/opt/vicar/ 


install:  install_target  FORCE

uninstall: uninstall_target   FORCE

FORCE:

=== src/vicar-daemon/Makefile ===
#############################################################################
# Makefile for building: vicar-daemon
# Generated by qmake (2.01a) (Qt 4.6.2) on: Fri Jul 9 23:16:32 2010
# Project:  vicar-daemon.pro
# Template: app
# Command: /usr/bin/qmake -unix -o Makefile vicar-daemon.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_DBUS_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -g -D_REENTRANT -Wall -W $(DEFINES)
CXXFLAGS      = -pipe -g -D_REENTRANT -Wall -W $(DEFINES)
INCPATH       = -I/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/linux-g++ -I. -I/targets/FREMANTLE_X86/usr/include/QtCore -I/targets/FREMANTLE_X86/usr/include/QtDBus -I/targets/FREMANTLE_X86/usr/include -I/targets/FREMANTLE_X86/usr/include/gconf/2 -I/targets/FREMANTLE_X86/usr/include/glib-2.0 -I/targets/FREMANTLE_X86/usr/lib/glib-2.0/include -I../vicar-lib/src -Imocs
LINK          = g++
LFLAGS        = -Wl,-rpath,/usr/lib
LIBS          = $(SUBLIBS)  -L/usr/lib /usr/lib/libgconf-2.so ../lib/libvicar.a -lQtDBus -L/usr/lib -lQtXml -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = objs/

####### Files

SOURCES       = src/main.cpp \
		src/callrouter.cpp \
		src/vicardbusadaptor.cpp mocs/moc_callrouter.cpp \
		mocs/moc_vicardbusadaptor.cpp
OBJECTS       = objs/main.o \
		objs/callrouter.o \
		objs/vicardbusadaptor.o \
		objs/moc_callrouter.o \
		objs/moc_vicardbusadaptor.o
DIST          = /targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/g++.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/debug.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/dbusinterfaces.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/dbusadaptors.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		vicar-daemon.pro
QMAKE_TARGET  = vicar-daemon
DESTDIR       = 
TARGET        = vicar-daemon

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET):  $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: vicar-daemon.pro  /targets/FREMANTLE_X86/usr/share/qt4/mkspecs/linux-g++/qmake.conf /targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/g++.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/debug.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/dbusinterfaces.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/dbusadaptors.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		/usr/lib/libQtDBus.prl \
		/usr/lib/libQtXml.prl \
		/usr/lib/libQtCore.prl
	$(QMAKE) -unix -o Makefile vicar-daemon.pro
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/g++.conf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/unix.conf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/linux.conf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/qconfig.pri:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_functions.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_config.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_pre.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/debug.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_post.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/moc.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/dbusinterfaces.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/dbusadaptors.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/unix/thread.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/warn_on.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/resources.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/uic.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/yacc.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/lex.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/include_source_dir.prf:
/usr/lib/libQtDBus.prl:
/usr/lib/libQtXml.prl:
/usr/lib/libQtCore.prl:
qmake:  FORCE
	@$(QMAKE) -unix -o Makefile vicar-daemon.pro

dist: 
	@$(CHK_DIR_EXISTS) objs/vicar-daemon1.0.0 || $(MKDIR) objs/vicar-daemon1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) objs/vicar-daemon1.0.0/ && $(COPY_FILE) --parents src/callrouter.h src/vicardbusadaptor.h objs/vicar-daemon1.0.0/ && $(COPY_FILE) --parents src/main.cpp src/callrouter.cpp src/vicardbusadaptor.cpp objs/vicar-daemon1.0.0/ && (cd `dirname objs/vicar-daemon1.0.0` && $(TAR) vicar-daemon1.0.0.tar vicar-daemon1.0.0 && $(COMPRESS) vicar-daemon1.0.0.tar) && $(MOVE) `dirname objs/vicar-daemon1.0.0`/vicar-daemon1.0.0.tar.gz . && $(DEL_FILE) -r objs/vicar-daemon1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: mocs/moc_callrouter.cpp mocs/moc_vicardbusadaptor.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) mocs/moc_callrouter.cpp mocs/moc_vicardbusadaptor.cpp
mocs/moc_callrouter.cpp: src/vicardbusadaptor.h \
		src/callrouter.h
	/usr/bin/moc $(DEFINES) $(INCPATH) src/callrouter.h -o mocs/moc_callrouter.cpp

mocs/moc_vicardbusadaptor.cpp: src/vicardbusadaptor.h
	/usr/bin/moc $(DEFINES) $(INCPATH) src/vicardbusadaptor.h -o mocs/moc_vicardbusadaptor.cpp

compiler_dbus_interface_source_make_all:
compiler_dbus_interface_source_clean:
compiler_dbus_adaptor_source_make_all:
compiler_dbus_adaptor_source_clean:
compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_dbus_interface_header_make_all:
compiler_dbus_interface_header_clean:
compiler_dbus_interface_moc_make_all:
compiler_dbus_interface_moc_clean:
compiler_dbus_adaptor_header_make_all:
compiler_dbus_adaptor_header_clean:
compiler_dbus_adaptor_moc_make_all:
compiler_dbus_adaptor_moc_clean:
compiler_uic_make_all:
compiler_uic_clean:
compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_moc_header_clean 

####### Compile

objs/main.o: src/main.cpp src/callrouter.h \
		src/vicardbusadaptor.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o objs/main.o src/main.cpp

objs/callrouter.o: src/callrouter.cpp src/callrouter.h \
		src/vicardbusadaptor.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o objs/callrouter.o src/callrouter.cpp

objs/vicardbusadaptor.o: src/vicardbusadaptor.cpp src/vicardbusadaptor.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o objs/vicardbusadaptor.o src/vicardbusadaptor.cpp

objs/moc_callrouter.o: mocs/moc_callrouter.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o objs/moc_callrouter.o mocs/moc_callrouter.cpp

objs/moc_vicardbusadaptor.o: mocs/moc_vicardbusadaptor.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o objs/moc_vicardbusadaptor.o mocs/moc_vicardbusadaptor.cpp

####### Install

install_target: first FORCE
	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/../../debian/vicar/opt/vicar/ || $(MKDIR) $(INSTALL_ROOT)/../../debian/vicar/opt/vicar/ 
	-$(INSTALL_PROGRAM) "$(QMAKE_TARGET)" "$(INSTALL_ROOT)/../../debian/vicar/opt/vicar/$(QMAKE_TARGET)"

uninstall_target:  FORCE
	-$(DEL_FILE) "$(INSTALL_ROOT)/../../debian/vicar/opt/vicar/$(QMAKE_TARGET)"
	-$(DEL_DIR) $(INSTALL_ROOT)/../../debian/vicar/opt/vicar/ 


install:  install_target  FORCE

uninstall: uninstall_target   FORCE

FORCE:

=== src/vicar-lib/Makefile ===
#############################################################################
# Makefile for building: libvicar.a
# Generated by qmake (2.01a) (Qt 4.6.2) on: Fri Jul 9 23:35:09 2010
# Project:  vicar-lib.pro
# Template: lib
# Command: /usr/bin/qmake -unix -o Makefile vicar-lib.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_GL_NO_SCISSOR_TEST -DQT_DEFAULT_TEXTURE_GLYPH_CACHE_WIDTH=1024 -DQT_DBUS_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -g -fPIC -D_REENTRANT -Wall -W $(DEFINES)
CXXFLAGS      = -pipe -g -fPIC -D_REENTRANT -Wall -W $(DEFINES)
INCPATH       = -I/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/linux-g++-maemo5 -I. -I/targets/FREMANTLE_ARMEL/usr/include/QtCore -I/targets/FREMANTLE_ARMEL/usr/include/QtDBus -I/targets/FREMANTLE_ARMEL/usr/include -I/targets/FREMANTLE_ARMEL/usr/include/gconf/2 -I/targets/FREMANTLE_ARMEL/usr/include/glib-2.0 -I/targets/FREMANTLE_ARMEL/usr/lib/glib-2.0/include -Imocs
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = objs/

####### Files

SOURCES       = src/dbusutility.cpp \
		src/gconfutility.cpp mocs/moc_gconfutility.cpp
OBJECTS       = objs/dbusutility.o \
		objs/gconfutility.o \
		objs/moc_gconfutility.o
DIST          = /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/debug.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/staticlib.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/static.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/dbusinterfaces.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/dbusadaptors.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		vicar-lib.pro
QMAKE_TARGET  = vicar
DESTDIR       = ../lib/
TARGET        = libvicar.a

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile ../lib/$(TARGET) 

staticlib: ../lib/$(TARGET)

../lib/$(TARGET):  $(OBJECTS) $(OBJCOMP) 
	@$(CHK_DIR_EXISTS) ../lib/ || $(MKDIR) ../lib/ 
	-$(DEL_FILE) $(TARGET)
	$(AR) $(TARGET) $(OBJECTS)
	-$(DEL_FILE) ../lib/$(TARGET)
	-$(MOVE) $(TARGET) ../lib/


Makefile: vicar-lib.pro  /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/linux-g++-maemo5/qmake.conf /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/debug.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/staticlib.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/static.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/dbusinterfaces.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/dbusadaptors.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		/usr/lib/libQtDBus.prl \
		/usr/lib/libQtXml.prl \
		/usr/lib/libQtCore.prl
	$(QMAKE) -unix -o Makefile vicar-lib.pro
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/debug.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/staticlib.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/static.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/dbusinterfaces.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/dbusadaptors.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf:
/usr/lib/libQtDBus.prl:
/usr/lib/libQtXml.prl:
/usr/lib/libQtCore.prl:
qmake:  FORCE
	@$(QMAKE) -unix -o Makefile vicar-lib.pro

dist: 
	@$(CHK_DIR_EXISTS) objs/vicar1.0.0 || $(MKDIR) objs/vicar1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) objs/vicar1.0.0/ && $(COPY_FILE) --parents src/dbusutility.h src/gconfutility.h objs/vicar1.0.0/ && $(COPY_FILE) --parents src/dbusutility.cpp src/gconfutility.cpp objs/vicar1.0.0/ && (cd `dirname objs/vicar1.0.0` && $(TAR) vicar1.0.0.tar vicar1.0.0 && $(COMPRESS) vicar1.0.0.tar) && $(MOVE) `dirname objs/vicar1.0.0`/vicar1.0.0.tar.gz . && $(DEL_FILE) -r objs/vicar1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: mocs/moc_gconfutility.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) mocs/moc_gconfutility.cpp
mocs/moc_gconfutility.cpp: src/gconfutility.h
	/usr/bin/moc $(DEFINES) $(INCPATH) src/gconfutility.h -o mocs/moc_gconfutility.cpp

compiler_dbus_interface_source_make_all:
compiler_dbus_interface_source_clean:
compiler_dbus_adaptor_source_make_all:
compiler_dbus_adaptor_source_clean:
compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_dbus_interface_header_make_all:
compiler_dbus_interface_header_clean:
compiler_dbus_interface_moc_make_all:
compiler_dbus_interface_moc_clean:
compiler_dbus_adaptor_header_make_all:
compiler_dbus_adaptor_header_clean:
compiler_dbus_adaptor_moc_make_all:
compiler_dbus_adaptor_moc_clean:
compiler_uic_make_all:
compiler_uic_clean:
compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_moc_header_clean 

####### Compile

objs/dbusutility.o: src/dbusutility.cpp src/dbusutility.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o objs/dbusutility.o src/dbusutility.cpp

objs/gconfutility.o: src/gconfutility.cpp src/gconfutility.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o objs/gconfutility.o src/gconfutility.cpp

objs/moc_gconfutility.o: mocs/moc_gconfutility.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o objs/moc_gconfutility.o mocs/moc_gconfutility.cpp

####### Install

install_target: first FORCE
	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/../../debian/vicar/opt/lib/ || $(MKDIR) $(INSTALL_ROOT)/../../debian/vicar/opt/lib/ 
	-$(INSTALL_FILE) "../lib/$(TARGET)" "$(INSTALL_ROOT)/../../debian/vicar/opt/lib/$(TARGET)"

uninstall_target:  FORCE
	-$(DEL_FILE) "$(INSTALL_ROOT)/../../debian/vicar/opt/lib/$(TARGET)"
	-$(DEL_DIR) $(INSTALL_ROOT)/../../debian/vicar/opt/lib/ 


install:  install_target  FORCE

uninstall: uninstall_target   FORCE

FORCE:

=== vicar/builddir/Makefile ===
#############################################################################
# Makefile for building: vicar
# Generated by qmake (2.01a) (Qt 4.6.2) on: Sat May 22 21:59:09 2010
# Project:  ../vicar.pro
# Template: subdirs
# Command: /opt/qt4-maemo5/bin/qmake -unix -o Makefile ../vicar.pro
#############################################################################

first: make_default
MAKEFILE      = Makefile
QMAKE         = /opt/qt4-maemo5/bin/qmake
DEL_FILE      = rm -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p
COPY          = cp -f
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
INSTALL_FILE  = install -m 644 -p
INSTALL_PROGRAM = install -m 755 -p
INSTALL_DIR   = $(COPY_DIR)
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p
SUBTARGETS    =  \
		sub-src

src/$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) src/ || $(MKDIR) src/ 
	cd src/ && $(QMAKE) /home/sudheer/vicar-0.2/src/src.pro -unix -o $(MAKEFILE)
sub-src-qmake_all:  FORCE
	@$(CHK_DIR_EXISTS) src/ || $(MKDIR) src/ 
	cd src/ && $(QMAKE) /home/sudheer/vicar-0.2/src/src.pro -unix -o $(MAKEFILE)
sub-src: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE)
sub-src-make_default: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) 
sub-src-make_first: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) first
sub-src-all: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) all
sub-src-clean: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) clean
sub-src-distclean: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) distclean
sub-src-install_subtargets: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) install
sub-src-uninstall_subtargets: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) uninstall

Makefile: ../vicar.pro  /targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/linux-g++-maemo5/qmake.conf /targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/release.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/lex.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/include_source_dir.prf
	$(QMAKE) -unix -o Makefile ../vicar.pro
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/common/unix.conf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/common/linux.conf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/qconfig.pri:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt_functions.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt_config.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/exclusive_builds.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/default_pre.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/release.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/default_post.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/warn_on.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/unix/thread.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/moc.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/resources.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/uic.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/yacc.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/lex.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/include_source_dir.prf:
qmake: qmake_all FORCE
	@$(QMAKE) -unix -o Makefile ../vicar.pro

qmake_all: sub-src-qmake_all FORCE

make_default: sub-src-make_default FORCE
make_first: sub-src-make_first FORCE
all: sub-src-all FORCE
clean: sub-src-clean FORCE
distclean: sub-src-distclean FORCE
	-$(DEL_FILE) Makefile
install_subtargets: sub-src-install_subtargets FORCE
uninstall_subtargets: sub-src-uninstall_subtargets FORCE

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all
install: install_subtargets  FORCE

uninstall:  uninstall_subtargets FORCE

FORCE:

=== vicar/builddir/src/Makefile ===
#############################################################################
# Makefile for building: src
# Generated by qmake (2.01a) (Qt 4.6.2) on: Sat May 22 21:58:55 2010
# Project:  ../../src/src.pro
# Template: subdirs
# Command: /opt/qt4-maemo5/bin/qmake -unix -o Makefile ../../src/src.pro
#############################################################################

first: make_default
MAKEFILE      = Makefile
QMAKE         = /opt/qt4-maemo5/bin/qmake
DEL_FILE      = rm -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p
COPY          = cp -f
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
INSTALL_FILE  = install -m 644 -p
INSTALL_PROGRAM = install -m 755 -p
INSTALL_DIR   = $(COPY_DIR)
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p
SUBTARGETS    =  \
		sub-vicar-lib \
		sub-vicar-daemon \
		sub-vicar-config

vicar-lib/$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) vicar-lib/ || $(MKDIR) vicar-lib/ 
	cd vicar-lib/ && $(QMAKE) /home/sudheer/vicar-0.2/src/vicar-lib/vicar-lib.pro -unix -o $(MAKEFILE)
sub-vicar-lib-qmake_all:  FORCE
	@$(CHK_DIR_EXISTS) vicar-lib/ || $(MKDIR) vicar-lib/ 
	cd vicar-lib/ && $(QMAKE) /home/sudheer/vicar-0.2/src/vicar-lib/vicar-lib.pro -unix -o $(MAKEFILE)
sub-vicar-lib: vicar-lib/$(MAKEFILE) FORCE
	cd vicar-lib/ && $(MAKE) -f $(MAKEFILE)
sub-vicar-lib-make_default-ordered: vicar-lib/$(MAKEFILE) FORCE
	cd vicar-lib/ && $(MAKE) -f $(MAKEFILE) 
sub-vicar-lib-make_default: vicar-lib/$(MAKEFILE) FORCE
	cd vicar-lib/ && $(MAKE) -f $(MAKEFILE) 
sub-vicar-lib-make_first-ordered: vicar-lib/$(MAKEFILE) FORCE
	cd vicar-lib/ && $(MAKE) -f $(MAKEFILE) first
sub-vicar-lib-make_first: vicar-lib/$(MAKEFILE) FORCE
	cd vicar-lib/ && $(MAKE) -f $(MAKEFILE) first
sub-vicar-lib-all-ordered: vicar-lib/$(MAKEFILE) FORCE
	cd vicar-lib/ && $(MAKE) -f $(MAKEFILE) all
sub-vicar-lib-all: vicar-lib/$(MAKEFILE) FORCE
	cd vicar-lib/ && $(MAKE) -f $(MAKEFILE) all
sub-vicar-lib-clean-ordered: vicar-lib/$(MAKEFILE) FORCE
	cd vicar-lib/ && $(MAKE) -f $(MAKEFILE) clean
sub-vicar-lib-clean: vicar-lib/$(MAKEFILE) FORCE
	cd vicar-lib/ && $(MAKE) -f $(MAKEFILE) clean
sub-vicar-lib-distclean-ordered: vicar-lib/$(MAKEFILE) FORCE
	cd vicar-lib/ && $(MAKE) -f $(MAKEFILE) distclean
sub-vicar-lib-distclean: vicar-lib/$(MAKEFILE) FORCE
	cd vicar-lib/ && $(MAKE) -f $(MAKEFILE) distclean
sub-vicar-lib-install_subtargets-ordered: vicar-lib/$(MAKEFILE) FORCE
	cd vicar-lib/ && $(MAKE) -f $(MAKEFILE) install
sub-vicar-lib-install_subtargets: vicar-lib/$(MAKEFILE) FORCE
	cd vicar-lib/ && $(MAKE) -f $(MAKEFILE) install
sub-vicar-lib-uninstall_subtargets-ordered: vicar-lib/$(MAKEFILE) FORCE
	cd vicar-lib/ && $(MAKE) -f $(MAKEFILE) uninstall
sub-vicar-lib-uninstall_subtargets: vicar-lib/$(MAKEFILE) FORCE
	cd vicar-lib/ && $(MAKE) -f $(MAKEFILE) uninstall
vicar-daemon/$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) vicar-daemon/ || $(MKDIR) vicar-daemon/ 
	cd vicar-daemon/ && $(QMAKE) /home/sudheer/vicar-0.2/src/vicar-daemon/vicar-daemon.pro -unix -o $(MAKEFILE)
sub-vicar-daemon-qmake_all:  FORCE
	@$(CHK_DIR_EXISTS) vicar-daemon/ || $(MKDIR) vicar-daemon/ 
	cd vicar-daemon/ && $(QMAKE) /home/sudheer/vicar-0.2/src/vicar-daemon/vicar-daemon.pro -unix -o $(MAKEFILE)
sub-vicar-daemon: vicar-daemon/$(MAKEFILE) FORCE
	cd vicar-daemon/ && $(MAKE) -f $(MAKEFILE)
sub-vicar-daemon-make_default-ordered: vicar-daemon/$(MAKEFILE) sub-vicar-lib-make_default-ordered  FORCE
	cd vicar-daemon/ && $(MAKE) -f $(MAKEFILE) 
sub-vicar-daemon-make_default: vicar-daemon/$(MAKEFILE) FORCE
	cd vicar-daemon/ && $(MAKE) -f $(MAKEFILE) 
sub-vicar-daemon-make_first-ordered: vicar-daemon/$(MAKEFILE) sub-vicar-lib-make_first-ordered  FORCE
	cd vicar-daemon/ && $(MAKE) -f $(MAKEFILE) first
sub-vicar-daemon-make_first: vicar-daemon/$(MAKEFILE) FORCE
	cd vicar-daemon/ && $(MAKE) -f $(MAKEFILE) first
sub-vicar-daemon-all-ordered: vicar-daemon/$(MAKEFILE) sub-vicar-lib-all-ordered  FORCE
	cd vicar-daemon/ && $(MAKE) -f $(MAKEFILE) all
sub-vicar-daemon-all: vicar-daemon/$(MAKEFILE) FORCE
	cd vicar-daemon/ && $(MAKE) -f $(MAKEFILE) all
sub-vicar-daemon-clean-ordered: vicar-daemon/$(MAKEFILE) sub-vicar-lib-clean-ordered  FORCE
	cd vicar-daemon/ && $(MAKE) -f $(MAKEFILE) clean
sub-vicar-daemon-clean: vicar-daemon/$(MAKEFILE) FORCE
	cd vicar-daemon/ && $(MAKE) -f $(MAKEFILE) clean
sub-vicar-daemon-distclean-ordered: vicar-daemon/$(MAKEFILE) sub-vicar-lib-distclean-ordered  FORCE
	cd vicar-daemon/ && $(MAKE) -f $(MAKEFILE) distclean
sub-vicar-daemon-distclean: vicar-daemon/$(MAKEFILE) FORCE
	cd vicar-daemon/ && $(MAKE) -f $(MAKEFILE) distclean
sub-vicar-daemon-install_subtargets-ordered: vicar-daemon/$(MAKEFILE) sub-vicar-lib-install_subtargets-ordered  FORCE
	cd vicar-daemon/ && $(MAKE) -f $(MAKEFILE) install
sub-vicar-daemon-install_subtargets: vicar-daemon/$(MAKEFILE) FORCE
	cd vicar-daemon/ && $(MAKE) -f $(MAKEFILE) install
sub-vicar-daemon-uninstall_subtargets-ordered: vicar-daemon/$(MAKEFILE) sub-vicar-lib-uninstall_subtargets-ordered  FORCE
	cd vicar-daemon/ && $(MAKE) -f $(MAKEFILE) uninstall
sub-vicar-daemon-uninstall_subtargets: vicar-daemon/$(MAKEFILE) FORCE
	cd vicar-daemon/ && $(MAKE) -f $(MAKEFILE) uninstall
vicar-config/$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) vicar-config/ || $(MKDIR) vicar-config/ 
	cd vicar-config/ && $(QMAKE) /home/sudheer/vicar-0.2/src/vicar-config/vicar-config.pro -unix -o $(MAKEFILE)
sub-vicar-config-qmake_all:  FORCE
	@$(CHK_DIR_EXISTS) vicar-config/ || $(MKDIR) vicar-config/ 
	cd vicar-config/ && $(QMAKE) /home/sudheer/vicar-0.2/src/vicar-config/vicar-config.pro -unix -o $(MAKEFILE)
sub-vicar-config: vicar-config/$(MAKEFILE) FORCE
	cd vicar-config/ && $(MAKE) -f $(MAKEFILE)
sub-vicar-config-make_default-ordered: vicar-config/$(MAKEFILE) sub-vicar-daemon-make_default-ordered  FORCE
	cd vicar-config/ && $(MAKE) -f $(MAKEFILE) 
sub-vicar-config-make_default: vicar-config/$(MAKEFILE) FORCE
	cd vicar-config/ && $(MAKE) -f $(MAKEFILE) 
sub-vicar-config-make_first-ordered: vicar-config/$(MAKEFILE) sub-vicar-daemon-make_first-ordered  FORCE
	cd vicar-config/ && $(MAKE) -f $(MAKEFILE) first
sub-vicar-config-make_first: vicar-config/$(MAKEFILE) FORCE
	cd vicar-config/ && $(MAKE) -f $(MAKEFILE) first
sub-vicar-config-all-ordered: vicar-config/$(MAKEFILE) sub-vicar-daemon-all-ordered  FORCE
	cd vicar-config/ && $(MAKE) -f $(MAKEFILE) all
sub-vicar-config-all: vicar-config/$(MAKEFILE) FORCE
	cd vicar-config/ && $(MAKE) -f $(MAKEFILE) all
sub-vicar-config-clean-ordered: vicar-config/$(MAKEFILE) sub-vicar-daemon-clean-ordered  FORCE
	cd vicar-config/ && $(MAKE) -f $(MAKEFILE) clean
sub-vicar-config-clean: vicar-config/$(MAKEFILE) FORCE
	cd vicar-config/ && $(MAKE) -f $(MAKEFILE) clean
sub-vicar-config-distclean-ordered: vicar-config/$(MAKEFILE) sub-vicar-daemon-distclean-ordered  FORCE
	cd vicar-config/ && $(MAKE) -f $(MAKEFILE) distclean
sub-vicar-config-distclean: vicar-config/$(MAKEFILE) FORCE
	cd vicar-config/ && $(MAKE) -f $(MAKEFILE) distclean
sub-vicar-config-install_subtargets-ordered: vicar-config/$(MAKEFILE) sub-vicar-daemon-install_subtargets-ordered  FORCE
	cd vicar-config/ && $(MAKE) -f $(MAKEFILE) install
sub-vicar-config-install_subtargets: vicar-config/$(MAKEFILE) FORCE
	cd vicar-config/ && $(MAKE) -f $(MAKEFILE) install
sub-vicar-config-uninstall_subtargets-ordered: vicar-config/$(MAKEFILE) sub-vicar-daemon-uninstall_subtargets-ordered  FORCE
	cd vicar-config/ && $(MAKE) -f $(MAKEFILE) uninstall
sub-vicar-config-uninstall_subtargets: vicar-config/$(MAKEFILE) FORCE
	cd vicar-config/ && $(MAKE) -f $(MAKEFILE) uninstall

Makefile: ../../src/src.pro  /targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/linux-g++-maemo5/qmake.conf /targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/release.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/lex.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/include_source_dir.prf
	$(QMAKE) -unix -o Makefile ../../src/src.pro
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/common/unix.conf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/common/linux.conf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/qconfig.pri:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt_functions.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt_config.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/exclusive_builds.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/default_pre.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/release.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/default_post.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/warn_on.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/unix/thread.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/moc.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/resources.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/uic.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/yacc.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/lex.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/include_source_dir.prf:
qmake: qmake_all FORCE
	@$(QMAKE) -unix -o Makefile ../../src/src.pro

qmake_all: sub-vicar-lib-qmake_all sub-vicar-daemon-qmake_all sub-vicar-config-qmake_all FORCE

make_default: sub-vicar-lib-make_default-ordered sub-vicar-daemon-make_default-ordered sub-vicar-config-make_default-ordered FORCE
make_first: sub-vicar-lib-make_first-ordered sub-vicar-daemon-make_first-ordered sub-vicar-config-make_first-ordered FORCE
all: sub-vicar-lib-all-ordered sub-vicar-daemon-all-ordered sub-vicar-config-all-ordered FORCE
clean: sub-vicar-lib-clean-ordered sub-vicar-daemon-clean-ordered sub-vicar-config-clean-ordered FORCE
distclean: sub-vicar-lib-distclean-ordered sub-vicar-daemon-distclean-ordered sub-vicar-config-distclean-ordered FORCE
	-$(DEL_FILE) Makefile
install_subtargets: sub-vicar-lib-install_subtargets-ordered sub-vicar-daemon-install_subtargets-ordered sub-vicar-config-install_subtargets-ordered FORCE
uninstall_subtargets: sub-vicar-lib-uninstall_subtargets-ordered sub-vicar-daemon-uninstall_subtargets-ordered sub-vicar-config-uninstall_subtargets-ordered FORCE

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all
install_desktop: FORCE
	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/usr/share/applications/hildon/ || $(MKDIR) $(INSTALL_ROOT)/usr/share/applications/hildon/ 
	-$(INSTALL_FILE) /home/sudheer/vicar-0.2/src/data/vicar-config.desktop $(INSTALL_ROOT)/usr/share/applications/hildon/


uninstall_desktop:  FORCE
	-$(DEL_FILE) -r $(INSTALL_ROOT)/usr/share/applications/hildon/vicar-config.desktop
	-$(DEL_DIR) $(INSTALL_ROOT)/usr/share/applications/hildon/

=== vicar/src/vicar-config/Makefile ===
#############################################################################
# Makefile for building: vicar-config
# Generated by qmake (2.01a) (Qt 4.6.2) on: Sun Jun 6 09:52:17 2010
# Project:  vicar-config.pro
# Template: app
# Command: /usr/bin/qmake -unix -o Makefile vicar-config.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_GL_NO_SCISSOR_TEST -DQT_DEFAULT_TEXTURE_GLYPH_CACHE_WIDTH=1024 -DQT_DBUS_LIB -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -g -D_REENTRANT -Wall -W $(DEFINES)
CXXFLAGS      = -pipe -g -D_REENTRANT -Wall -W $(DEFINES)
INCPATH       = -I/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/linux-g++-maemo5 -I. -I/targets/FREMANTLE_ARMEL/usr/include/QtCore -I/targets/FREMANTLE_ARMEL/usr/include/QtGui -I/targets/FREMANTLE_ARMEL/usr/include/QtDBus -I/targets/FREMANTLE_ARMEL/usr/include -I. -I/targets/FREMANTLE_ARMEL/usr/include/gconf/2 -I/targets/FREMANTLE_ARMEL/usr/include/glib-2.0 -I/targets/FREMANTLE_ARMEL/usr/lib/glib-2.0/include -I../vicar-lib/src -Imocs -Iuis
LINK          = g++
LFLAGS        = -Wl,-rpath-link,/usr/lib -Wl,-rpath,/usr/lib
LIBS          = $(SUBLIBS)  -L/usr/lib /usr/lib/libgconf-2.so ../lib/libvicar.a -lQtDBus -L/usr/lib -lQtXml -lQtGui -L/usr/X11R6/lib -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = objs/

####### Files

SOURCES       = src/main.cpp \
		src/configwindow.cpp mocs/moc_configwindow.cpp
OBJECTS       = objs/main.o \
		objs/configwindow.o \
		objs/moc_configwindow.o
DIST          = /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/debug.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/dbusinterfaces.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/dbusadaptors.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf \
		vicar-config.pro
QMAKE_TARGET  = vicar-config
DESTDIR       = 
TARGET        = vicar-config

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET): uis/ui_configwindow.h $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: vicar-config.pro  /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/linux-g++-maemo5/qmake.conf /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/debug.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/dbusinterfaces.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/dbusadaptors.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf \
		/usr/lib/libQtDBus.prl \
		/usr/lib/libQtXml.prl \
		/usr/lib/libQtCore.prl \
		/usr/lib/libQtGui.prl
	$(QMAKE) -unix -o Makefile vicar-config.pro
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/debug.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/dbusinterfaces.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/dbusadaptors.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf:
/usr/lib/libQtDBus.prl:
/usr/lib/libQtXml.prl:
/usr/lib/libQtCore.prl:
/usr/lib/libQtGui.prl:
qmake:  FORCE
	@$(QMAKE) -unix -o Makefile vicar-config.pro

dist: 
	@$(CHK_DIR_EXISTS) objs/vicar-config1.0.0 || $(MKDIR) objs/vicar-config1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) objs/vicar-config1.0.0/ && $(COPY_FILE) --parents src/configwindow.h objs/vicar-config1.0.0/ && $(COPY_FILE) --parents src/main.cpp src/configwindow.cpp objs/vicar-config1.0.0/ && $(COPY_FILE) --parents uis/configwindow.ui objs/vicar-config1.0.0/ && (cd `dirname objs/vicar-config1.0.0` && $(TAR) vicar-config1.0.0.tar vicar-config1.0.0 && $(COMPRESS) vicar-config1.0.0.tar) && $(MOVE) `dirname objs/vicar-config1.0.0`/vicar-config1.0.0.tar.gz . && $(DEL_FILE) -r objs/vicar-config1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: mocs/moc_configwindow.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) mocs/moc_configwindow.cpp
mocs/moc_configwindow.cpp: src/configwindow.h
	/usr/bin/moc $(DEFINES) $(INCPATH) src/configwindow.h -o mocs/moc_configwindow.cpp

compiler_dbus_interface_source_make_all:
compiler_dbus_interface_source_clean:
compiler_dbus_adaptor_source_make_all:
compiler_dbus_adaptor_source_clean:
compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_dbus_interface_header_make_all:
compiler_dbus_interface_header_clean:
compiler_dbus_interface_moc_make_all:
compiler_dbus_interface_moc_clean:
compiler_dbus_adaptor_header_make_all:
compiler_dbus_adaptor_header_clean:
compiler_dbus_adaptor_moc_make_all:
compiler_dbus_adaptor_moc_clean:
compiler_uic_make_all: uis/ui_configwindow.h
compiler_uic_clean:
	-$(DEL_FILE) uis/ui_configwindow.h
uis/ui_configwindow.h: uis/configwindow.ui
	/usr/bin/uic uis/configwindow.ui -o uis/ui_configwindow.h

compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_moc_header_clean compiler_uic_clean 

####### Compile

objs/main.o: src/main.cpp src/configwindow.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o objs/main.o src/main.cpp

objs/configwindow.o: src/configwindow.cpp src/configwindow.h \
		uis/ui_configwindow.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o objs/configwindow.o src/configwindow.cpp

objs/moc_configwindow.o: mocs/moc_configwindow.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o objs/moc_configwindow.o mocs/moc_configwindow.cpp

####### Install

install_target: first FORCE
	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/../../debian/vicar/opt/vicar/ || $(MKDIR) $(INSTALL_ROOT)/../../debian/vicar/opt/vicar/ 
	-$(INSTALL_PROGRAM) "$(QMAKE_TARGET)" "$(INSTALL_ROOT)/../../debian/vicar/opt/vicar/$(QMAKE_TARGET)"

uninstall_target:  FORCE
	-$(DEL_FILE) "$(INSTALL_ROOT)/../../debian/vicar/opt/vicar/$(QMAKE_TARGET)"
	-$(DEL_DIR) $(INSTALL_ROOT)/../../debian/vicar/opt/vicar/ 


install:  install_target  FORCE

uninstall: uninstall_target   FORCE

FORCE:

=== vicar/src/vicar-daemon/Makefile ===
#############################################################################
# Makefile for building: vicar-daemon
# Generated by qmake (2.01a) (Qt 4.6.2) on: Sat May 22 10:31:32 2010
# Project:  vicar-daemon.pro
# Template: app
# Command: /opt/qt4-maemo5/bin/qmake -unix -o Makefile vicar-daemon.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_GL_NO_SCISSOR_TEST -DQT_DEFAULT_TEXTURE_GLYPH_CACHE_WIDTH=1024 -DQT_DBUS_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -g -D_REENTRANT -Wall -W $(DEFINES)
CXXFLAGS      = -pipe -g -D_REENTRANT -Wall -W $(DEFINES)
INCPATH       = -I/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/linux-g++-maemo5 -I. -I/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/include/QtCore -I/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/include/QtDBus -I/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/include -I/targets/FREMANTLE_ARMEL/usr/include/gconf/2 -I/targets/FREMANTLE_ARMEL/usr/include/glib-2.0 -I/targets/FREMANTLE_ARMEL/usr/lib/glib-2.0/include -I../vicar-lib/src -Imocs
LINK          = g++
LFLAGS        = -Wl,-rpath-link,/usr/lib -Wl,-rpath,/opt/qt4-maemo5/lib
LIBS          = $(SUBLIBS)  -L/opt/qt4-maemo5/lib /usr/lib/libgconf-2.so ../lib/libvicar.a -lQtDBus -L/opt/qt4-maemo5/lib -lQtXml -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /opt/qt4-maemo5/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = objs/

####### Files

SOURCES       = src/main.cpp \
		src/callrouter.cpp mocs/moc_callrouter.cpp
OBJECTS       = objs/main.o \
		objs/callrouter.o \
		objs/moc_callrouter.o
DIST          = /targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/debug.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/dbusinterfaces.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/dbusadaptors.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/lex.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/include_source_dir.prf \
		vicar-daemon.pro
QMAKE_TARGET  = vicar-daemon
DESTDIR       = 
TARGET        = vicar-daemon

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET):  $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: vicar-daemon.pro  /targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/linux-g++-maemo5/qmake.conf /targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/debug.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/dbusinterfaces.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/dbusadaptors.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/lex.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/include_source_dir.prf \
		/opt/qt4-maemo5/lib/libQtDBus.prl \
		/opt/qt4-maemo5/lib/libQtXml.prl \
		/opt/qt4-maemo5/lib/libQtCore.prl
	$(QMAKE) -unix -o Makefile vicar-daemon.pro
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/common/unix.conf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/common/linux.conf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/qconfig.pri:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt_functions.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt_config.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/exclusive_builds.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/default_pre.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/debug.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/default_post.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/moc.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/dbusinterfaces.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/dbusadaptors.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/unix/thread.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/warn_on.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/resources.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/uic.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/yacc.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/lex.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/include_source_dir.prf:
/opt/qt4-maemo5/lib/libQtDBus.prl:
/opt/qt4-maemo5/lib/libQtXml.prl:
/opt/qt4-maemo5/lib/libQtCore.prl:
qmake:  FORCE
	@$(QMAKE) -unix -o Makefile vicar-daemon.pro

dist: 
	@$(CHK_DIR_EXISTS) objs/vicar-daemon1.0.0 || $(MKDIR) objs/vicar-daemon1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) objs/vicar-daemon1.0.0/ && $(COPY_FILE) --parents src/callrouter.h objs/vicar-daemon1.0.0/ && $(COPY_FILE) --parents src/main.cpp src/callrouter.cpp objs/vicar-daemon1.0.0/ && (cd `dirname objs/vicar-daemon1.0.0` && $(TAR) vicar-daemon1.0.0.tar vicar-daemon1.0.0 && $(COMPRESS) vicar-daemon1.0.0.tar) && $(MOVE) `dirname objs/vicar-daemon1.0.0`/vicar-daemon1.0.0.tar.gz . && $(DEL_FILE) -r objs/vicar-daemon1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: mocs/moc_callrouter.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) mocs/moc_callrouter.cpp
mocs/moc_callrouter.cpp: src/callrouter.h
	/opt/qt4-maemo5/bin/moc $(DEFINES) $(INCPATH) src/callrouter.h -o mocs/moc_callrouter.cpp

compiler_dbus_interface_source_make_all:
compiler_dbus_interface_source_clean:
compiler_dbus_adaptor_source_make_all:
compiler_dbus_adaptor_source_clean:
compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_dbus_interface_header_make_all:
compiler_dbus_interface_header_clean:
compiler_dbus_interface_moc_make_all:
compiler_dbus_interface_moc_clean:
compiler_dbus_adaptor_header_make_all:
compiler_dbus_adaptor_header_clean:
compiler_dbus_adaptor_moc_make_all:
compiler_dbus_adaptor_moc_clean:
compiler_uic_make_all:
compiler_uic_clean:
compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_moc_header_clean 

####### Compile

objs/main.o: src/main.cpp src/callrouter.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o objs/main.o src/main.cpp

objs/callrouter.o: src/callrouter.cpp src/callrouter.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o objs/callrouter.o src/callrouter.cpp

objs/moc_callrouter.o: mocs/moc_callrouter.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o objs/moc_callrouter.o mocs/moc_callrouter.cpp

####### Install

install_target: first FORCE
	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/../../debian/vicar/opt/vicar/ || $(MKDIR) $(INSTALL_ROOT)/../../debian/vicar/opt/vicar/ 
	-$(INSTALL_PROGRAM) "$(QMAKE_TARGET)" "$(INSTALL_ROOT)/../../debian/vicar/opt/vicar/$(QMAKE_TARGET)"

uninstall_target:  FORCE
	-$(DEL_FILE) "$(INSTALL_ROOT)/../../debian/vicar/opt/vicar/$(QMAKE_TARGET)"
	-$(DEL_DIR) $(INSTALL_ROOT)/../../debian/vicar/opt/vicar/ 


install:  install_target  FORCE

uninstall: uninstall_target   FORCE

FORCE:

=== vicar/src/vicar-lib/Makefile ===
#############################################################################
# Makefile for building: libvicar.a
# Generated by qmake (2.01a) (Qt 4.6.2) on: Sat Jun 5 22:19:18 2010
# Project:  vicar-lib.pro
# Template: lib
# Command: /usr/bin/qmake -unix -o Makefile vicar-lib.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_GL_NO_SCISSOR_TEST -DQT_DEFAULT_TEXTURE_GLYPH_CACHE_WIDTH=1024 -DQT_DBUS_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -g -fPIC -D_REENTRANT -Wall -W $(DEFINES)
CXXFLAGS      = -pipe -g -fPIC -D_REENTRANT -Wall -W $(DEFINES)
INCPATH       = -I/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/linux-g++-maemo5 -I. -I/targets/FREMANTLE_ARMEL/usr/include/QtCore -I/targets/FREMANTLE_ARMEL/usr/include/QtDBus -I/targets/FREMANTLE_ARMEL/usr/include -I/targets/FREMANTLE_ARMEL/usr/include/gconf/2 -I/targets/FREMANTLE_ARMEL/usr/include/glib-2.0 -I/targets/FREMANTLE_ARMEL/usr/lib/glib-2.0/include -Imocs
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = objs/

####### Files

SOURCES       = src/dbusutility.cpp \
		src/gconfutility.cpp mocs/moc_gconfutility.cpp
OBJECTS       = objs/dbusutility.o \
		objs/gconfutility.o \
		objs/moc_gconfutility.o
DIST          = /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/debug.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/staticlib.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/static.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/dbusinterfaces.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/dbusadaptors.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		vicar-lib.pro
QMAKE_TARGET  = vicar
DESTDIR       = ../lib/
TARGET        = libvicar.a

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile ../lib/$(TARGET) 

staticlib: ../lib/$(TARGET)

../lib/$(TARGET):  $(OBJECTS) $(OBJCOMP) 
	@$(CHK_DIR_EXISTS) ../lib/ || $(MKDIR) ../lib/ 
	-$(DEL_FILE) $(TARGET)
	$(AR) $(TARGET) $(OBJECTS)
	-$(DEL_FILE) ../lib/$(TARGET)
	-$(MOVE) $(TARGET) ../lib/


Makefile: vicar-lib.pro  /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/linux-g++-maemo5/qmake.conf /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/debug.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/staticlib.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/static.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/dbusinterfaces.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/dbusadaptors.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		/usr/lib/libQtDBus.prl \
		/usr/lib/libQtXml.prl \
		/usr/lib/libQtCore.prl
	$(QMAKE) -unix -o Makefile vicar-lib.pro
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/debug.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/staticlib.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/static.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/dbusinterfaces.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/dbusadaptors.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf:
/usr/lib/libQtDBus.prl:
/usr/lib/libQtXml.prl:
/usr/lib/libQtCore.prl:
qmake:  FORCE
	@$(QMAKE) -unix -o Makefile vicar-lib.pro

dist: 
	@$(CHK_DIR_EXISTS) objs/vicar1.0.0 || $(MKDIR) objs/vicar1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) objs/vicar1.0.0/ && $(COPY_FILE) --parents src/dbusutility.h src/gconfutility.h objs/vicar1.0.0/ && $(COPY_FILE) --parents src/dbusutility.cpp src/gconfutility.cpp objs/vicar1.0.0/ && (cd `dirname objs/vicar1.0.0` && $(TAR) vicar1.0.0.tar vicar1.0.0 && $(COMPRESS) vicar1.0.0.tar) && $(MOVE) `dirname objs/vicar1.0.0`/vicar1.0.0.tar.gz . && $(DEL_FILE) -r objs/vicar1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: mocs/moc_gconfutility.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) mocs/moc_gconfutility.cpp
mocs/moc_gconfutility.cpp: src/gconfutility.h
	/usr/bin/moc $(DEFINES) $(INCPATH) src/gconfutility.h -o mocs/moc_gconfutility.cpp

compiler_dbus_interface_source_make_all:
compiler_dbus_interface_source_clean:
compiler_dbus_adaptor_source_make_all:
compiler_dbus_adaptor_source_clean:
compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_dbus_interface_header_make_all:
compiler_dbus_interface_header_clean:
compiler_dbus_interface_moc_make_all:
compiler_dbus_interface_moc_clean:
compiler_dbus_adaptor_header_make_all:
compiler_dbus_adaptor_header_clean:
compiler_dbus_adaptor_moc_make_all:
compiler_dbus_adaptor_moc_clean:
compiler_uic_make_all:
compiler_uic_clean:
compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_moc_header_clean 

####### Compile

objs/dbusutility.o: src/dbusutility.cpp src/dbusutility.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o objs/dbusutility.o src/dbusutility.cpp

objs/gconfutility.o: src/gconfutility.cpp src/gconfutility.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o objs/gconfutility.o src/gconfutility.cpp

objs/moc_gconfutility.o: mocs/moc_gconfutility.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o objs/moc_gconfutility.o mocs/moc_gconfutility.cpp

####### Install

install_target: first FORCE
	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/../../debian/vicar/opt/lib/ || $(MKDIR) $(INSTALL_ROOT)/../../debian/vicar/opt/lib/ 
	-$(INSTALL_FILE) "../lib/$(TARGET)" "$(INSTALL_ROOT)/../../debian/vicar/opt/lib/$(TARGET)"

uninstall_target:  FORCE
	-$(DEL_FILE) "$(INSTALL_ROOT)/../../debian/vicar/opt/lib/$(TARGET)"
	-$(DEL_DIR) $(INSTALL_ROOT)/../../debian/vicar/opt/lib/ 


install:  install_target  FORCE

uninstall: uninstall_target   FORCE

FORCE:

=== vicar/builddir/src/vicar-config/Makefile ===
#############################################################################
# Makefile for building: vicar-config
# Generated by qmake (2.01a) (Qt 4.6.2) on: Sat May 22 21:59:03 2010
# Project:  ../../../src/vicar-config/vicar-config.pro
# Template: app
# Command: /opt/qt4-maemo5/bin/qmake -unix -o Makefile ../../../src/vicar-config/vicar-config.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_GL_NO_SCISSOR_TEST -DQT_DEFAULT_TEXTURE_GLYPH_CACHE_WIDTH=1024 -DQT_DBUS_LIB -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -g -D_REENTRANT -Wall -W $(DEFINES)
CXXFLAGS      = -pipe -g -D_REENTRANT -Wall -W $(DEFINES)
INCPATH       = -I/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/linux-g++-maemo5 -I../../../src/vicar-config -I/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/include/QtCore -I/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/include/QtGui -I/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/include/QtDBus -I/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/include -I../../../src/vicar-config -I/targets/FREMANTLE_ARMEL/usr/include/gconf/2 -I/targets/FREMANTLE_ARMEL/usr/include/glib-2.0 -I/targets/FREMANTLE_ARMEL/usr/lib/glib-2.0/include -I../../../src/vicar-lib/src -Imocs -Iuis -I.
LINK          = g++
LFLAGS        = -Wl,-rpath-link,/usr/lib -Wl,-rpath,/opt/qt4-maemo5/lib
LIBS          = $(SUBLIBS)  -L/opt/qt4-maemo5/lib /usr/lib/libgconf-2.so ../lib/libvicar.a -lQtDBus -L/opt/qt4-maemo5/lib -lQtXml -lQtGui -L/usr/X11R6/lib -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /opt/qt4-maemo5/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = objs/

####### Files

SOURCES       = ../../../src/vicar-config/src/main.cpp \
		../../../src/vicar-config/src/configwindow.cpp mocs/moc_configwindow.cpp
OBJECTS       = objs/main.o \
		objs/configwindow.o \
		objs/moc_configwindow.o
DIST          = /targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/debug.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/dbusinterfaces.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/dbusadaptors.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/lex.prf \
		../../../src/vicar-config/vicar-config.pro
QMAKE_TARGET  = vicar-config
DESTDIR       = 
TARGET        = vicar-config

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET): uis/ui_configwindow.h $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: ../../../src/vicar-config/vicar-config.pro  /targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/linux-g++-maemo5/qmake.conf /targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/debug.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/dbusinterfaces.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/dbusadaptors.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/lex.prf \
		/opt/qt4-maemo5/lib/libQtDBus.prl \
		/opt/qt4-maemo5/lib/libQtXml.prl \
		/opt/qt4-maemo5/lib/libQtCore.prl \
		/opt/qt4-maemo5/lib/libQtGui.prl
	$(QMAKE) -unix -o Makefile ../../../src/vicar-config/vicar-config.pro
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/common/unix.conf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/common/linux.conf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/qconfig.pri:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt_functions.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt_config.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/exclusive_builds.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/default_pre.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/debug.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/default_post.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/moc.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/dbusinterfaces.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/dbusadaptors.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/unix/thread.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/warn_on.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/resources.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/uic.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/yacc.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/lex.prf:
/opt/qt4-maemo5/lib/libQtDBus.prl:
/opt/qt4-maemo5/lib/libQtXml.prl:
/opt/qt4-maemo5/lib/libQtCore.prl:
/opt/qt4-maemo5/lib/libQtGui.prl:
qmake:  FORCE
	@$(QMAKE) -unix -o Makefile ../../../src/vicar-config/vicar-config.pro

dist: 
	@$(CHK_DIR_EXISTS) ../../../src/vicar-config/objs/vicar-config1.0.0 || $(MKDIR) ../../../src/vicar-config/objs/vicar-config1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) ../../../src/vicar-config/objs/vicar-config1.0.0/ && $(COPY_FILE) --parents ../../../src/vicar-config/src/configwindow.h ../../../src/vicar-config/objs/vicar-config1.0.0/ && $(COPY_FILE) --parents ../../../src/vicar-config/src/main.cpp ../../../src/vicar-config/src/configwindow.cpp ../../../src/vicar-config/objs/vicar-config1.0.0/ && $(COPY_FILE) --parents ../../../src/vicar-config/uis/configwindow.ui ../../../src/vicar-config/objs/vicar-config1.0.0/ && (cd `dirname ../../../src/vicar-config/objs/vicar-config1.0.0` && $(TAR) vicar-config1.0.0.tar vicar-config1.0.0 && $(COMPRESS) vicar-config1.0.0.tar) && $(MOVE) `dirname ../../../src/vicar-config/objs/vicar-config1.0.0`/vicar-config1.0.0.tar.gz . && $(DEL_FILE) -r ../../../src/vicar-config/objs/vicar-config1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: mocs/moc_configwindow.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) mocs/moc_configwindow.cpp
mocs/moc_configwindow.cpp: ../../../src/vicar-config/src/configwindow.h
	/opt/qt4-maemo5/bin/moc $(DEFINES) $(INCPATH) ../../../src/vicar-config/src/configwindow.h -o mocs/moc_configwindow.cpp

compiler_dbus_interface_source_make_all:
compiler_dbus_interface_source_clean:
compiler_dbus_adaptor_source_make_all:
compiler_dbus_adaptor_source_clean:
compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_dbus_interface_header_make_all:
compiler_dbus_interface_header_clean:
compiler_dbus_interface_moc_make_all:
compiler_dbus_interface_moc_clean:
compiler_dbus_adaptor_header_make_all:
compiler_dbus_adaptor_header_clean:
compiler_dbus_adaptor_moc_make_all:
compiler_dbus_adaptor_moc_clean:
compiler_uic_make_all: uis/ui_configwindow.h
compiler_uic_clean:
	-$(DEL_FILE) uis/ui_configwindow.h
uis/ui_configwindow.h: ../../../src/vicar-config/uis/configwindow.ui
	/opt/qt4-maemo5/bin/uic ../../../src/vicar-config/uis/configwindow.ui -o uis/ui_configwindow.h

compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_moc_header_clean compiler_uic_clean 

####### Compile

objs/main.o: ../../../src/vicar-config/src/main.cpp ../../../src/vicar-config/src/configwindow.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o objs/main.o ../../../src/vicar-config/src/main.cpp

objs/configwindow.o: ../../../src/vicar-config/src/configwindow.cpp ../../../src/vicar-config/src/configwindow.h \
		uis/ui_configwindow.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o objs/configwindow.o ../../../src/vicar-config/src/configwindow.cpp

objs/moc_configwindow.o: mocs/moc_configwindow.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o objs/moc_configwindow.o mocs/moc_configwindow.cpp

####### Install

install_target: first FORCE
	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/../../debian/vicar/opt/vicar/ || $(MKDIR) $(INSTALL_ROOT)/../../debian/vicar/opt/vicar/ 
	-$(INSTALL_PROGRAM) "$(QMAKE_TARGET)" "$(INSTALL_ROOT)/../../debian/vicar/opt/vicar/$(QMAKE_TARGET)"

uninstall_target:  FORCE
	-$(DEL_FILE) "$(INSTALL_ROOT)/../../debian/vicar/opt/vicar/$(QMAKE_TARGET)"
	-$(DEL_DIR) $(INSTALL_ROOT)/../../debian/vicar/opt/vicar/ 


install:  install_target  FORCE

uninstall: uninstall_target   FORCE

FORCE:

=== vicar/builddir/src/vicar-daemon/Makefile ===
#############################################################################
# Makefile for building: vicar-daemon
# Generated by qmake (2.01a) (Qt 4.6.2) on: Sat May 22 21:58:58 2010
# Project:  ../../../src/vicar-daemon/vicar-daemon.pro
# Template: app
# Command: /opt/qt4-maemo5/bin/qmake -unix -o Makefile ../../../src/vicar-daemon/vicar-daemon.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_GL_NO_SCISSOR_TEST -DQT_DEFAULT_TEXTURE_GLYPH_CACHE_WIDTH=1024 -DQT_DBUS_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -g -D_REENTRANT -Wall -W $(DEFINES)
CXXFLAGS      = -pipe -g -D_REENTRANT -Wall -W $(DEFINES)
INCPATH       = -I/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/linux-g++-maemo5 -I../../../src/vicar-daemon -I/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/include/QtCore -I/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/include/QtDBus -I/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/include -I/targets/FREMANTLE_ARMEL/usr/include/gconf/2 -I/targets/FREMANTLE_ARMEL/usr/include/glib-2.0 -I/targets/FREMANTLE_ARMEL/usr/lib/glib-2.0/include -I../../../src/vicar-lib/src -Imocs -I../../../src/vicar-daemon -I.
LINK          = g++
LFLAGS        = -Wl,-rpath-link,/usr/lib -Wl,-rpath,/opt/qt4-maemo5/lib
LIBS          = $(SUBLIBS)  -L/opt/qt4-maemo5/lib /usr/lib/libgconf-2.so ../lib/libvicar.a -lQtDBus -L/opt/qt4-maemo5/lib -lQtXml -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /opt/qt4-maemo5/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = objs/

####### Files

SOURCES       = ../../../src/vicar-daemon/src/main.cpp \
		../../../src/vicar-daemon/src/callrouter.cpp mocs/moc_callrouter.cpp
OBJECTS       = objs/main.o \
		objs/callrouter.o \
		objs/moc_callrouter.o
DIST          = /targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/debug.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/dbusinterfaces.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/dbusadaptors.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/lex.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/include_source_dir.prf \
		../../../src/vicar-daemon/vicar-daemon.pro
QMAKE_TARGET  = vicar-daemon
DESTDIR       = 
TARGET        = vicar-daemon

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET):  $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: ../../../src/vicar-daemon/vicar-daemon.pro  /targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/linux-g++-maemo5/qmake.conf /targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/debug.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/dbusinterfaces.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/dbusadaptors.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/lex.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/include_source_dir.prf \
		/opt/qt4-maemo5/lib/libQtDBus.prl \
		/opt/qt4-maemo5/lib/libQtXml.prl \
		/opt/qt4-maemo5/lib/libQtCore.prl
	$(QMAKE) -unix -o Makefile ../../../src/vicar-daemon/vicar-daemon.pro
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/common/unix.conf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/common/linux.conf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/qconfig.pri:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt_functions.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt_config.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/exclusive_builds.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/default_pre.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/debug.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/default_post.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/moc.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/dbusinterfaces.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/dbusadaptors.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/unix/thread.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/warn_on.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/resources.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/uic.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/yacc.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/lex.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/include_source_dir.prf:
/opt/qt4-maemo5/lib/libQtDBus.prl:
/opt/qt4-maemo5/lib/libQtXml.prl:
/opt/qt4-maemo5/lib/libQtCore.prl:
qmake:  FORCE
	@$(QMAKE) -unix -o Makefile ../../../src/vicar-daemon/vicar-daemon.pro

dist: 
	@$(CHK_DIR_EXISTS) ../../../src/vicar-daemon/objs/vicar-daemon1.0.0 || $(MKDIR) ../../../src/vicar-daemon/objs/vicar-daemon1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) ../../../src/vicar-daemon/objs/vicar-daemon1.0.0/ && $(COPY_FILE) --parents ../../../src/vicar-daemon/src/callrouter.h ../../../src/vicar-daemon/objs/vicar-daemon1.0.0/ && $(COPY_FILE) --parents ../../../src/vicar-daemon/src/main.cpp ../../../src/vicar-daemon/src/callrouter.cpp ../../../src/vicar-daemon/objs/vicar-daemon1.0.0/ && (cd `dirname ../../../src/vicar-daemon/objs/vicar-daemon1.0.0` && $(TAR) vicar-daemon1.0.0.tar vicar-daemon1.0.0 && $(COMPRESS) vicar-daemon1.0.0.tar) && $(MOVE) `dirname ../../../src/vicar-daemon/objs/vicar-daemon1.0.0`/vicar-daemon1.0.0.tar.gz . && $(DEL_FILE) -r ../../../src/vicar-daemon/objs/vicar-daemon1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: mocs/moc_callrouter.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) mocs/moc_callrouter.cpp
mocs/moc_callrouter.cpp: ../../../src/vicar-daemon/src/callrouter.h
	/opt/qt4-maemo5/bin/moc $(DEFINES) $(INCPATH) ../../../src/vicar-daemon/src/callrouter.h -o mocs/moc_callrouter.cpp

compiler_dbus_interface_source_make_all:
compiler_dbus_interface_source_clean:
compiler_dbus_adaptor_source_make_all:
compiler_dbus_adaptor_source_clean:
compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_dbus_interface_header_make_all:
compiler_dbus_interface_header_clean:
compiler_dbus_interface_moc_make_all:
compiler_dbus_interface_moc_clean:
compiler_dbus_adaptor_header_make_all:
compiler_dbus_adaptor_header_clean:
compiler_dbus_adaptor_moc_make_all:
compiler_dbus_adaptor_moc_clean:
compiler_uic_make_all:
compiler_uic_clean:
compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_moc_header_clean 

####### Compile

objs/main.o: ../../../src/vicar-daemon/src/main.cpp ../../../src/vicar-daemon/src/callrouter.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o objs/main.o ../../../src/vicar-daemon/src/main.cpp

objs/callrouter.o: ../../../src/vicar-daemon/src/callrouter.cpp ../../../src/vicar-daemon/src/callrouter.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o objs/callrouter.o ../../../src/vicar-daemon/src/callrouter.cpp

objs/moc_callrouter.o: mocs/moc_callrouter.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o objs/moc_callrouter.o mocs/moc_callrouter.cpp

####### Install

install_target: first FORCE
	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/../../debian/vicar/opt/vicar/ || $(MKDIR) $(INSTALL_ROOT)/../../debian/vicar/opt/vicar/ 
	-$(INSTALL_PROGRAM) "$(QMAKE_TARGET)" "$(INSTALL_ROOT)/../../debian/vicar/opt/vicar/$(QMAKE_TARGET)"

uninstall_target:  FORCE
	-$(DEL_FILE) "$(INSTALL_ROOT)/../../debian/vicar/opt/vicar/$(QMAKE_TARGET)"
	-$(DEL_DIR) $(INSTALL_ROOT)/../../debian/vicar/opt/vicar/ 


install:  install_target  FORCE

uninstall: uninstall_target   FORCE

FORCE:

=== vicar/builddir/src/vicar-lib/Makefile ===
#############################################################################
# Makefile for building: libvicar.a
# Generated by qmake (2.01a) (Qt 4.6.2) on: Sat May 22 21:58:55 2010
# Project:  ../../../src/vicar-lib/vicar-lib.pro
# Template: lib
# Command: /opt/qt4-maemo5/bin/qmake -unix -o Makefile ../../../src/vicar-lib/vicar-lib.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_GL_NO_SCISSOR_TEST -DQT_DEFAULT_TEXTURE_GLYPH_CACHE_WIDTH=1024 -DQT_DBUS_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -g -fPIC -D_REENTRANT -Wall -W $(DEFINES)
CXXFLAGS      = -pipe -g -fPIC -D_REENTRANT -Wall -W $(DEFINES)
INCPATH       = -I/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/linux-g++-maemo5 -I../../../src/vicar-lib -I/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/include/QtCore -I/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/include/QtDBus -I/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/include -I/targets/FREMANTLE_ARMEL/usr/include/gconf/2 -I/targets/FREMANTLE_ARMEL/usr/include/glib-2.0 -I/targets/FREMANTLE_ARMEL/usr/lib/glib-2.0/include -Imocs -I../../../src/vicar-lib -I.
AR            = ar cqs
RANLIB        = 
QMAKE         = /opt/qt4-maemo5/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = objs/

####### Files

SOURCES       = ../../../src/vicar-lib/src/dbusutility.cpp \
		../../../src/vicar-lib/src/gconfutility.cpp mocs/moc_gconfutility.cpp
OBJECTS       = objs/dbusutility.o \
		objs/gconfutility.o \
		objs/moc_gconfutility.o
DIST          = /targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/debug.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/staticlib.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/static.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/dbusinterfaces.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/dbusadaptors.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/lex.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/include_source_dir.prf \
		../../../src/vicar-lib/vicar-lib.pro
QMAKE_TARGET  = vicar
DESTDIR       = ../lib/
TARGET        = libvicar.a

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile ../lib/$(TARGET) 

staticlib: ../lib/$(TARGET)

../lib/$(TARGET):  $(OBJECTS) $(OBJCOMP) 
	@$(CHK_DIR_EXISTS) ../lib/ || $(MKDIR) ../lib/ 
	-$(DEL_FILE) $(TARGET)
	$(AR) $(TARGET) $(OBJECTS)
	-$(DEL_FILE) ../lib/$(TARGET)
	-$(MOVE) $(TARGET) ../lib/


Makefile: ../../../src/vicar-lib/vicar-lib.pro  /targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/linux-g++-maemo5/qmake.conf /targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/debug.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/staticlib.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/static.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/dbusinterfaces.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/dbusadaptors.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/lex.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/include_source_dir.prf \
		/opt/qt4-maemo5/lib/libQtDBus.prl \
		/opt/qt4-maemo5/lib/libQtXml.prl \
		/opt/qt4-maemo5/lib/libQtCore.prl
	$(QMAKE) -unix -o Makefile ../../../src/vicar-lib/vicar-lib.pro
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/common/unix.conf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/common/linux.conf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/qconfig.pri:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt_functions.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt_config.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/exclusive_builds.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/default_pre.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/debug.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/default_post.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/staticlib.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/static.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/moc.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/dbusinterfaces.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/dbusadaptors.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/unix/thread.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/warn_on.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/resources.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/uic.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/yacc.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/lex.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/include_source_dir.prf:
/opt/qt4-maemo5/lib/libQtDBus.prl:
/opt/qt4-maemo5/lib/libQtXml.prl:
/opt/qt4-maemo5/lib/libQtCore.prl:
qmake:  FORCE
	@$(QMAKE) -unix -o Makefile ../../../src/vicar-lib/vicar-lib.pro

dist: 
	@$(CHK_DIR_EXISTS) ../../../src/vicar-lib/objs/vicar1.0.0 || $(MKDIR) ../../../src/vicar-lib/objs/vicar1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) ../../../src/vicar-lib/objs/vicar1.0.0/ && $(COPY_FILE) --parents ../../../src/vicar-lib/src/dbusutility.h ../../../src/vicar-lib/src/gconfutility.h ../../../src/vicar-lib/objs/vicar1.0.0/ && $(COPY_FILE) --parents ../../../src/vicar-lib/src/dbusutility.cpp ../../../src/vicar-lib/src/gconfutility.cpp ../../../src/vicar-lib/objs/vicar1.0.0/ && (cd `dirname ../../../src/vicar-lib/objs/vicar1.0.0` && $(TAR) vicar1.0.0.tar vicar1.0.0 && $(COMPRESS) vicar1.0.0.tar) && $(MOVE) `dirname ../../../src/vicar-lib/objs/vicar1.0.0`/vicar1.0.0.tar.gz . && $(DEL_FILE) -r ../../../src/vicar-lib/objs/vicar1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: mocs/moc_gconfutility.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) mocs/moc_gconfutility.cpp
mocs/moc_gconfutility.cpp: ../../../src/vicar-lib/src/gconfutility.h
	/opt/qt4-maemo5/bin/moc $(DEFINES) $(INCPATH) ../../../src/vicar-lib/src/gconfutility.h -o mocs/moc_gconfutility.cpp

compiler_dbus_interface_source_make_all:
compiler_dbus_interface_source_clean:
compiler_dbus_adaptor_source_make_all:
compiler_dbus_adaptor_source_clean:
compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_dbus_interface_header_make_all:
compiler_dbus_interface_header_clean:
compiler_dbus_interface_moc_make_all:
compiler_dbus_interface_moc_clean:
compiler_dbus_adaptor_header_make_all:
compiler_dbus_adaptor_header_clean:
compiler_dbus_adaptor_moc_make_all:
compiler_dbus_adaptor_moc_clean:
compiler_uic_make_all:
compiler_uic_clean:
compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_moc_header_clean 

####### Compile

objs/dbusutility.o: ../../../src/vicar-lib/src/dbusutility.cpp ../../../src/vicar-lib/src/dbusutility.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o objs/dbusutility.o ../../../src/vicar-lib/src/dbusutility.cpp

objs/gconfutility.o: ../../../src/vicar-lib/src/gconfutility.cpp ../../../src/vicar-lib/src/gconfutility.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o objs/gconfutility.o ../../../src/vicar-lib/src/gconfutility.cpp

objs/moc_gconfutility.o: mocs/moc_gconfutility.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o objs/moc_gconfutility.o mocs/moc_gconfutility.cpp

####### Install

install_target: first FORCE
	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/../../debian/vicar/opt/lib/ || $(MKDIR) $(INSTALL_ROOT)/../../debian/vicar/opt/lib/ 
	-$(INSTALL_FILE) "../lib/$(TARGET)" "$(INSTALL_ROOT)/../../debian/vicar/opt/lib/$(TARGET)"

uninstall_target:  FORCE
	-$(DEL_FILE) "$(INSTALL_ROOT)/../../debian/vicar/opt/lib/$(TARGET)"
	-$(DEL_DIR) $(INSTALL_ROOT)/../../debian/vicar/opt/lib/ 


install:  install_target  FORCE

uninstall: uninstall_target   FORCE

FORCE:

=== debian/changelog ===
vicar (0.3-1) unstable; urgency=low

  * Added option to enter prefix before dialing the international number
  * Change DTMF Suffix field into a text field (allows digits, *, # and p only)
  * Removed Delay before DTMF field (You can now use the DTMF Prefix field to customize the delay)
  * Added DBus interface methods for remote applications to place calls via VICaR
  * Added integration with Crochik's MyContacts application(Thanks to Felipe)

 -- Sudheer K. <scifi1947 at gmail.com>  Tue,  11 Jul 2010 19:23:00 -0700

=== debian/control ===
Source: vicar
Section: user/network
Priority: extra
Maintainer: Sudheer K. <scifi1947 at gmail.com>
Build-Depends: debhelper (>= 5), libqt4-dev, libgconf2-dev
Standards-Version: 3.7.2
Homepage: vicar.garage.maemo.org
XSBC-Bugtracker: https://garage.maemo.org/tracker/?atid=5673&group_id=1586
XB-Maemo-Display-Name: VICaR - Value International Call Router

Package: vicar
Architecture: any
Depends: ${shlibs:Depends}
Description: Automatically routes international GSM calls through a calling card or skype-out number.
 * Calling card number and other options can be configured by launching VICaR from applications menu.
 * Make sure to update all your international numbers to start with the appropriate dialing code and a prefix of + or 00.
 * To avoid routing local calls through VICaR, add the local country codes to the list of country codes to exclude.

=== vicar/debian/control ===
Source: vicar
Section: user/network
Priority: extra
Maintainer: Sudheer K. <scifi.guy@hotmail.com>
Build-Depends: debhelper (>= 5), libqt4-dev, libgconf2-dev
Standards-Version: 3.7.2
Homepage: vicar.garage.maemo.org
XSBC-Bugtracker: https://garage.maemo.org/tracker/?atid=5673&group_id=1586
XB-Maemo-Display-Name: VICaR - Value International Call Router

Package: vicar
Architecture: any
Depends: ${shlibs:Depends}
Description: Automatically routes international GSM calls through a calling card number.
 * Calling card number and other options can be configured by launching VICaR from applications menu.
 * Make sure to update all your international numbers to start with the appropriate dialing code and a prefix of + or 00.
 * To avoid routing local calls through VICaR, add the local country codes to the list of country codes to exclude.
